Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81735 - smbmount, mounts hang, smb_get_length: recv error = 104
Summary: smbmount, mounts hang, smb_get_length: recv error = 104
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-13 16:31 UTC by Justin Albstmeijer
Modified: 2014-08-31 23:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-17 19:34:28 UTC


Attachments (Terms of Use)

Description Justin Albstmeijer 2003-01-13 16:31:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:

When reading files from a smbfs win2k-SP3 mount I somethimes get:

kernel: smb_get_length: recv error = 104
kernel: smb_trans2_request: result=-104, setting invalid
kernel: smb_retry: caught signal

This keeps on going for sometime.. and then after a day the mount completely
hangs all processes reading from it.
The mount is not accessible anymore and not unmountable.. the processen that
where reading from the mount can not be killed.




Version-Release number of selected component (if applicable):

2.2.7-1.7.3

How reproducible:
Sometimes

Steps to Reproduce:
1. echo "//blasrv/bla$ /mnt/bla            smbfs  
auto,ip=192.168.0.10,uid=bla,credentials=/etc/bla.passwd       0 0"
2. mount /mnt/bla
3. grep bla /mnt/bla/*
    

Actual Results:  kernel: smb_get_length: recv error = 104
kernel: smb_trans2_request: result=-104, setting invalid
kernel: smb_retry: caught signal

Expected Results:  no errors.. no hang

Additional info:

samba-common-2.2.7-1.7.3
samba-client-2.2.7-1.7.3
kernel-2.4.18-18.7.x
Win2k SP3


Note You need to log in before you can comment on or make changes to this bug.